## libmoosex-mungehas-perl 0.007

=== debian/changelog ===
libmoosex-mungehas-perl (0.007-3) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Update build and runtime dependencies.
    Add "libtype-tiny-perl | libeval-closure-perl" to Depends, extend
    "libtype-tiny-perl" into "libtype-tiny-perl | libeval-closure-perl" in
    Build-Depends. (Closes: #896537)
  * Mark package as autopkgtest-able.
  * Bump debhelper compatibility level to 9.
  * Use HTTPS for a couple of URLs in debian/*.
  * Drop old alternative build dependency on Test::More.
  * Declare compliance with Debian Policy 4.1.4.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Apr 2018 16:50:54 +0200

libmoosex-mungehas-perl (0.007-2) unstable; urgency=medium

  * Update package relations:
    + Fix Tighten (build-)dependency on libscalar-list-utils-perl (add
      missing epoch).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2015 12:28:45 +0100

libmoosex-mungehas-perl (0.007-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#779157.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2015 23:50:35 +0100
