=== debian/control ===
Source: libmoosex-mungehas-perl
Section: perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 perl,
 debhelper,
 dh-buildinfo,
 libscalar-list-utils-perl (>= 1:1.40),
 libtest-fatal-perl,
 libtest-requires-perl (>= 0.06),
 libtype-tiny-perl | libeval-closure-perl,
 libmoo-perl (>= 1.002000),
 libmoose-perl (>= 2),
 libmouse-perl (>= 1)
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoosex-mungehas-perl.git
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoosex-mungehas-perl
Homepage: https://metacpan.org/release/MooseX-MungeHas
Testsuite: autopkgtest-pkg-perl

Package: libmoosex-mungehas-perl
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 libtype-tiny-perl | libeval-closure-perl
Suggests: ${cdbs:Suggests}
Description: munge your "has" (works with Moo, Moose and Mouse)
 MooseX::MungeHas alters the behaviour of the attributes of your Moo,
 Moose or Mouse based class. It manages to support all three because it
 doesn't attempt to do anything smart with metathingies; it simply
 installs a wrapper for 'has' that munges the attribute specification
 hash before passing it on to the original 'has' function.
