## libmoosex-mungehas-perl 0.011

=== debian/changelog ===
libmoosex-mungehas-perl (0.011-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ gregor herrmann ]
  * Update URLs from {search,www}.cpan.org to MetaCPAN.

  [ Jonas Smedegaard ]
  * Simplify rules.
    Stop build-depend on devscripts cdbs.
  * Update git-buildpackage config: Filter any .git* file.
  * Update watch file:
    + Bump to file format 4.
    + Track only MetaCPAN URL.
    + Rewrite usage comment.
    + Use substitution strings.
  * Stop build-depend on dh-buildinfo.
  * Relax to (build-)depend unversioned on libscalar-list-utils-perl
    libtest-requires-perl libmoo-perl libmoose-perl libmouse-perl:
    Needed versions satisfied even in oldstable.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Mark build-dependencies needed only for testsuite as such.
  * Wrap and sort control file.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of packaging.
    + Extend coverage for main upstream author.
    + Drop Files section for no longer included CONTRIBUTING file.
  * Add lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Feb 2019 21:45:09 +0100
