=== debian/control ===
Source: libmoosex-mungehas-perl
Section: perl
Priority: optional
Build-Depends:
 debhelper,
 libmoo-perl <!nocheck>,
 libmoose-perl <!nocheck>,
 libmouse-perl <!nocheck>,
 libscalar-list-utils-perl <!nocheck>,
 libtest-fatal-perl <!nocheck>,
 libtest-requires-perl <!nocheck>,
 libtype-tiny-perl | libeval-closure-perl <!nocheck>,
 perl,
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoosex-mungehas-perl.git
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoosex-mungehas-perl
Homepage: https://metacpan.org/release/MooseX-MungeHas
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no

Package: libmoosex-mungehas-perl
Architecture: all
Depends:
 libscalar-list-utils-perl,
 libtype-tiny-perl | libeval-closure-perl,
 ${misc:Depends},
 ${perl:Depends},
Suggests:
 libmoo-perl,
 libmoose-perl,
 libmouse-perl,
Description: munge your "has" (works with Moo, Moose and Mouse)
 MooseX::MungeHas alters the behaviour of the attributes
 of your Moo, Moose or Mouse based class.
 It manages to support all three
 because it doesn't attempt to do anything smart with metathingies;
 it simply installs a wrapper for 'has'
 that munges the attribute specification hash
 before passing it on to the original 'has' function.
